Bug 755947

Summary: Do not force -geometry alignment
Product: [Fedora] Fedora Reporter: Jan Kratochvil <jan.kratochvil>
Component: tigervncAssignee: Adam Tkac <atkac>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 18CC: atkac, jan.kratochvil, ovasik
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-20 17:31:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Fix.
none
vncserver-bad.png
none
vncserver-good.png none

Description Jan Kratochvil 2011-11-22 08:42:49 EST
Created attachment 535028 [details]
Fix.

Description of problem:
With X220 notebook the hardware native resolution is 1366x768.
vncserver cannot create this resolution, forcing scrollbars for it.

Version-Release number of selected component (if applicable):
tigervnc-1.1.0-2.fc16

How reproducible:
Always.

Steps to Reproduce:
xdpyinfo | grep dimensions
vncserver -geometry 1366x768
vncviewer localhost:1
Make the vncviewer fullscren (XFCE "Toggle fullscreen" hotkey).

Actual results:
  dimensions:    1366x768 pixels (361x203 millimeters)
Scrollbars there: vncserver-bad.png

Expected results:
  dimensions:    1366x768 pixels (361x203 millimeters)
No scrollbars there: vncserver-good.png

Additional info:
I do not understand if there are some backward/bug compatibility reasons but the client version identification could be used in such case.
I find it really a pain for the user.
Comment 1 Jan Kratochvil 2011-11-22 08:43:21 EST
Created attachment 535029 [details]
vncserver-bad.png
Comment 2 Jan Kratochvil 2011-11-22 08:43:48 EST
Created attachment 535030 [details]
vncserver-good.png
Comment 3 Fedora End Of Life 2013-01-16 05:20:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 03:57:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jan Kratochvil 2013-02-15 04:31:12 EST
tigervnc-server-1.1.0-6.1.fc17.x86_64

vncserver -geometry 1366x768
and inside the VNC session:
xdpyinfo |grep dimen
  dimensions:    1368x768 pixels (362x203 millimeters)

1368 != 1366
Comment 6 Adam Tkac 2013-03-14 09:43:52 EDT
Fixed in upstream http://tigervnc.svn.sourceforge.net/viewvc/tigervnc?view=revision&revision=5061

I'm not going to fix this in F17 but it will be fixed in F18.
Comment 7 Fedora Update System 2013-03-14 15:00:09 EDT
tigervnc-1.2.80-0.10.20130314svn5065.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tigervnc-1.2.80-0.10.20130314svn5065.fc18
Comment 8 Fedora Update System 2013-03-15 21:40:11 EDT
Package tigervnc-1.2.80-0.10.20130314svn5065.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tigervnc-1.2.80-0.10.20130314svn5065.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3933/tigervnc-1.2.80-0.10.20130314svn5065.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-03-20 17:31:30 EDT
tigervnc-1.2.80-0.10.20130314svn5065.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.